Bug 174815 - CVE-2005-3964 openmotif libUil buffer overflows
Summary: CVE-2005-3964 openmotif libUil buffer overflows
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openmotif
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard: impact=moderate,public=20051202,repor...
Depends On:
Blocks: 175405 CVE-2005-3964
TreeView+ depends on / blocked
 
Reported: 2005-12-02 14:37 UTC by Josh Bressers
Modified: 2008-01-28 16:13 UTC (History)
2 users (show)

Fixed In Version: FEDORA-2006-854
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-30 06:32:33 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0272 0 normal SHIPPED_LIVE Moderate: openmotif security update 2006-04-04 04:00:00 UTC

Description Josh Bressers 2005-12-02 14:37:43 UTC
openmotif libUil buffer overflows

http://marc.theaimsgroup.com/?l=full-disclosure&m=113349242925897&w=2

xfocus have discovered two buffer overflow flaws in openmotif's libUil
library.  This overflow is going to depend on how a motif application
is passing data into the UIL library.


This issue also affects FC3

Comment 4 Red Hat Bugzilla 2006-04-04 08:58:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0272.html


Comment 5 David Eisenstein 2006-05-28 06:26:47 UTC
I can see where this issue has been fixed in the RHEL flavors, but I cannot
see any evidence that this issue was fixed for FC4 (or FC3) either in the
Fedora-announce-list nor in the released Fedora packages...

Were fixed packages for FC4 pushed for this issue, and I'm just missing something?

Oh - additionally.  Shouldn't RHSA-2006-0272 point to Bug 174814 instead of this
bug since this one is for FC4 (and FC3), but Bug 174814 is for RHEL?

Thanks.  -David

Comment 6 Matthew Miller 2006-07-25 23:42:58 UTC
Can someone at Red Hat revisit this as per comment #5, before the the FC4 EOL?
Thanks.

Comment 7 David Eisenstein 2006-07-30 06:32:33 UTC
This bug has apparently been fixed for Fedora Core 4 (see Fedora Update
Notification FEDORA-2006-854 @
<http://www.redhat.com/archives/fedora-package-announce/2006-July/msg00101.html>)
but it appears FC3 was already at end of active Red Hat maintenance when this
was fixed for FC4.

For Legacy, this still needs work for FC3 and other releases.  Bug for FC3 and
earlier releases is Bug #175405.  


Note You need to log in before you can comment on or make changes to this bug.